[SCM] PostGIS branch master updated. 3.4.0rc1-1145-g1590723c4
git at osgeo.org
git at osgeo.org
Wed Jun 5 01:53:18 PDT 2024
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "PostGIS".
The branch, master has been updated
via 1590723c4a8ace27ad13aa3b1ec54e317b4276e4 (commit)
from 003e0d349741ce98c86e5898a1012b5b21b34b96 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commit 1590723c4a8ace27ad13aa3b1ec54e317b4276e4
Author: Sandro Santilli <strk at kbt.io>
Date: Wed Jun 5 10:50:44 2024 +0200
Make source package creation reproducible
Removes timestamp of tarball, enforces timestamp of source files
to timestamp of top commit
References #5736
diff --git a/make_dist.sh b/make_dist.sh
index 25ed1d437..d1db1e26e 100755
--- a/make_dist.sh
+++ b/make_dist.sh
@@ -134,8 +134,23 @@ fi
if test "x$package" = "x"; then
package="postgis-$version.tar.gz"
fi
+
+echo "Tweaking timestamps"
+
+# Extract last commit date from git
+date=$(git log -1 --pretty=format:%cI HEAD)
+
+# Enforce timestamp on files to be included in the pacakge
+find "${outdir}" -exec touch -d "${date}" {} \;
+
echo "Generating $package file"
-tar czf "$package" "$outdir" || exit 1
+
+# Create tar
+tar cf - --sort=name "$outdir" > ${package}.tar || exit 1
+
+# Compress
+gzip -n9 < ${package}.tar > ${package} || exit 1
+rm ${package}.tar
echo "Generating ${package}.md5 file"
md5sum "${package}" > ${package}.md5
-----------------------------------------------------------------------
Summary of changes:
make_dist.sh | 17 ++++++++++++++++-
1 file changed, 16 insertions(+), 1 deletion(-)
hooks/post-receive
--
PostGIS
More information about the postgis-tickets
mailing list